package org.wfc.payment.pay.alipay.service;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * @description: 支付宝支付Service
 * @author: cyc
 * @since: 2025-03-21
 */
public interface IAliPayService {

    void pcPay(HttpServletResponse response, Long orderId, String returnUrl, String notifyUrl);

    void wapPay(HttpServletResponse response, Long orderId, String returnUrl, String notifyUrl);

    String notifyUrl(HttpServletRequest request, String publicKey);

    String tradeRefund(Long orderId);
}
